|  | Home · All Classes · Modules

# QTextItem Class Reference
[QtGui module]

### Types

- enum RenderFlag { RightToLeft, Overline, Underline, StrikeOut }
- class RenderFlags

### Methods

- __init__ (self)
- __init__ (self, QTextItem other)
- float ascent (self)
- float descent (self)
- QFont font (self)
- RenderFlags renderFlags (self)
- QString text (self)
- float width (self)

## Detailed Description

## Type Documentation

### QTextItem.RenderFlag

## Method Documentation

### QTextItem.__init__ (self)

### QTextItem.__init__ (self, QTextItem other)

### float QTextItem.ascent (self)

### float QTextItem.descent (self)

### QFont QTextItem.font (self)

### RenderFlags QTextItem.renderFlags (self)

### QString QTextItem.text (self)

### float QTextItem.width (self)